const stations = [
    {
        label: '姬2转',
        value: '姬2转'
    }, {
        label: '姬19供',
        value: '姬19供'
    }, {
        label: '姬1增长2',
        value: '姬1增长2'
    }, {
        label: '姬1增长4+5',
        value: '姬1增长4+5'
    }, {
        label: '姬32增',
        value: '姬32增'
    }, {
        label: '姬71撬',
        value: '姬71撬'
    }, {
        label: '姬1联',
        value: '姬1联'
    }, {
        label: '姬26注',
        value: '姬26注'
    }, {
        label: '姬27转',
        value: '姬27转'
    }, {
        label: '姬27转_水',
        value: '姬27转_水'
    }
]
export default stations
export const ruleTree = [{
    id: '1',
    label: '前置判断',
    children: [{
        id: '1-1',
        label: '1#:所有设备@设备异常',
    }, {
        id: '1-2',
        label: '2#:所有设备@范围异常',
    }, {
        id: '1-3',
        label: '3#:所有设备@传输异常',
    }]
}, {
    id: '2',
    label: '单一规则',
    children: [{
        id: '2-1',
        label: '可燃气体1@高报'
    }, {
        id: '2-2',
        label: '可燃气体2@高报'
    }, {
        id: '2-3',
        label: '总机关压力@高报'
    }, {
        id: '2-4',
        label: '收秋筒压力@高报'
    }, {
        id: '2-5',
        label: '...'
    }]
}, {
    id: '3',
    label: '复合规则',
    children: [{
        id: '3-1',
        label: '外输异常'
    }, {
        id: '3-2',
        label: '泵异常'
    }, {
        id: '3-3',
        label: '加热炉异常'
    }, {
        id: '3-4',
        label: '...'
    }]
}, {
    id: '4',
    label: '过滤规则',
    children: [{
        id: '4-1',
        label: '延迟过滤'
    }, {
        id: '4-2',
        label: '重复过滤'
    }, {
        id: '4-3',
        label: '联合过滤'
    }, {
        id: '4-4',
        label: '定点过滤'
    }, {
        id: '4-5',
        label: '自适应过滤'
    }, {
        id: '4-6',
        label: '...'
    }]
}]

export const ruleBaseModel = [
    {
        id: 1,
        name: '设备异常',
        divided: false
    }, {
        id: 2,
        name: '范围异常',
        divided: false
    }, {
        id: 3,
        name: '传输异常',
        divided: false
    }, {
        id: 4,
        name: '',
        divided: true
    }, {
        id: 6,
        name: '高报',
        divided: false
    }, {
        id: 7,
        name: '低报',
        divided: false
    }, {
        id: 8,
        name: '高高报',
        divided: false
    }, {
        id: 9,
        name: '低低报',
        divided: false
    }, {
        id: 10,
        name: '',
        divided: true
    }, {
        id: 11,
        name: '外输异常',
        divided: false
    }
]

const nodeStyle = {
    caption: 'show',
    label: "name",
    // size: 12,
    // group: "community",
    // [NeoVis.NEOVIS_ADVANCED_CONFIG]: {
    //   function: {
    //     title: (node) => viz.nodeToHtml(node, [
    //       "name",
    //       "pagerank"
    //     ])
    //   }
    // }
}

export const neoLabels = {
    AccidentTank: nodeStyle,
    BackwashSurgeTank: nodeStyle,
    BallReceiving: nodeStyle,
    BufferTank: nodeStyle,
    ClearWaterTank: nodeStyle,
    DegassingTank: nodeStyle,
    DirtyOilBox: nodeStyle,
    DosingTank: nodeStyle,
    DryingTank: nodeStyle,
    ExportFlowMeter: nodeStyle,
    ExportPump: nodeStyle,
    ExportPumpValve: nodeStyle,
    FeedPump: nodeStyle,
    GasFlowMeter: nodeStyle,
    GasLiquidSeparator: nodeStyle,
    Heater: nodeStyle,
    MainValve: nodeStyle,
    OilRemovalTank: nodeStyle,
    OilSupplyPipe: nodeStyle,
    PlungerValve: nodeStyle,
    PourOilPump: nodeStyle,
    PressPower: nodeStyle,
    PurgeTank: nodeStyle,
    RawWaterTank: nodeStyle,
    Reflux: nodeStyle,
    SettlingTank: nodeStyle,
    StorageTank: nodeStyle,
    ThreeWayValve: nodeStyle,
    TransOilPump: nodeStyle,
    TrunkLine: nodeStyle,
    TrunkLineValve: nodeStyle,
    UnloadingOilTank: nodeStyle,
    WaterBufferTank: nodeStyle,
    WaterDistributionValve: nodeStyle,
    WaterFilter: nodeStyle,
    WaterInjectionPump: nodeStyle,
    WaterManualValve: nodeStyle,
    WaterMeter: nodeStyle,
    WaterSeparator: nodeStyle,
    WaterSource: nodeStyle,
    WaterSupplyPump: nodeStyle,
    WaterSupplyPumpValve: nodeStyle,
    WaterTransferPump: nodeStyle
}