import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        alias: '/home',
        name: 'Home',
        component: () => import('@/components/AlarmInfo.vue'),
    },
    {
        path: '/config',
        name: 'Config',
        component: () => import("@/components/AlarmConfig.vue")
    },
    {
        path: '/neo',
        name: 'Neo',
        component: () => import("@/components/NeoConfig.vue")
    }
]
const VueRouterPush = VueRouter.prototype.push
VueRouter.prototype.push = function push (to) {
    return VueRouterPush.call(this, to).catch(err => err)
}

const router = new VueRouter({
    routes
})

export default router
